Skip to main content
GET
/
v1
/
credit
/
repayments
/
{id}
Get a credit repayment
curl --request GET \
  --url https://api-sandbox.circle.com/v1/credit/repayments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
    "transferId": "b3d9d2d5-4c12-4946-a09d-953e82fae2b0",
    "amountApplied": {
      "amount": "50450.00",
      "currency": "USD"
    },
    "paymentAmount": {
      "amount": "50450.00",
      "currency": "USD"
    },
    "type": "fiat",
    "status": "completed",
    "settlementDate": "2024-04-10T09:30:00.000Z",
    "createDate": "2024-04-10T09:30:00.000Z",
    "updateDate": "2024-04-10T09:30:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Response

Successfully retrieved a credit repayment.

data
object

A repayment applied to a credit transfer.